export declare class Fab {
    #private;
    private el;
    active?: boolean;
    color?: string;
    disabled?: boolean;
    icon: string;
    info: string;
    inline?: boolean;
    private get trigger();
    private handleMouseDown;
    private handleSlotChange;
    private disableClick;
    watch(): void;
    next(): Promise<void>;
    prev(): Promise<void>;
    toggle(active?: boolean): Promise<void>;
    componentDidLoad(): void;
    private initButton;
    private propagateState;
    renderMenu(): any;
    render(): any[];
}
